OpenEngSB
  1. OpenEngSB
  2. OPENENGSB-3533

Remove old api version properties and all of its references

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: openengsb-3.0.0.M1
    • Component/s: root
    • Labels:

      Description

      Remove the following properties:

      <openengsb.api.version>3.0.0-SNAPSHOT</openengsb.api.version>
      <openengsb.api.workflow.version>3.0.0-SNAPSHOT</openengsb.api.workflow.version>
      <openengsb.api.edb.version>3.0.0-SNAPSHOT</openengsb.api.edb.version>
      <openengsb.api.ekb.version>3.0.0-SNAPSHOT</openengsb.api.ekb.version>
      <openengsb.api.ui.version>3.0.0-SNAPSHOT</openengsb.api.ui.version>

      And replace the references in the openengsb-root pom simply with $

      {project.version}

      .

      There are also some references in openengsb-framework in the features.xml file that need to be replaced.

        Gliffy Diagrams

        Error rendering 'com.meetme.plugins.jira.gerrit-plugin:gerritreviewsmodule'. Please contact your JIRA administrators.

          Activity

          Hide
          Felix Mayerhuber added a comment -

          May I ask why to change the properties in this way? Because every of these bundles is theoretically independent from each other. In fact, they were own projects in own Github repositories until a few days ago.

          Show
          Felix Mayerhuber added a comment - May I ask why to change the properties in this way? Because every of these bundles is theoretically independent from each other. In fact, they were own projects in own Github repositories until a few days ago.

            People

            • Assignee:
              Matthias Seidemann
              Reporter:
              Matthias Seidemann
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: